> For the complete documentation index, see [llms.txt](https://docs.erathos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.erathos.com/connectors/apis/octadesk.md).

# Octadesk

### Using the Erathos platform

When selecting Octadesk as a new connector on the Erathos platform, you will need to name your connection and fill in the following form:

* **URL** — The base URL of your Octadesk account (e.g. `https://yourcompany.octadesk.services`)
* **Token** — Your Octadesk API key, used to authenticate all requests
* **Agent Email** — The email address of the Octadesk agent associated with the API key

With this connection created you can seamlessly move your Octadesk data to your BigQuery, Redshift or Postgres data warehouse.

### How to find my token?

You can find your API Key inside your Octadesk account by navigating to **Settings > WhatsApp API > Generate API Key** (Gerar apiKey). Copy the key that is displayed.

Paste the value into the Erathos platform **Token** field. In the **Agent Email** field, enter the email address of the Octadesk agent under whose credentials the API key was generated. In the **URL** field, enter your account's base URL, which can also be found under **Settings > WhatsApp API > Base URL**. Don't forget to click on **Save and close** to advance to the next steps of the integration.

### What endpoints can I access with the Erathos platform?

* chats
* messages
* events
* contacts
* tickets
* ticket\_interactions
* ticket\_tags
* ticket\_groups
* ticket\_forms
* ticket\_priorities
* ticket\_types
* ticket\_channels
* ticket\_status
* organizations
* survey\_submissions


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.erathos.com/connectors/apis/octadesk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
